classification
Title: don't mention GCC in sys.version when built with Clang
Type: Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson
Priority: normal Keywords: easy (C), patch

Created on 2017-10-04 20:56 by benjamin.peterson, last changed 2017-10-06 04:15 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3891 merged benjamin.peterson, 2017-10-05 06:41
Messages (2)
msg303731 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-10-04 20:56
When built with clang, Python reports that it was built with something like "GCC 4.2.1 Compatible Clang 4.0.0 (tags/RELEASE_400/rc1)". This is because clang pretends to be GCC 4.2.1 for the purposes of the __VERSION__ preprocessor macro. We should use __clang_version__ when clang is being used.

(Possibly we should simply use the first line of "$CC --version" as the compiler version of record rather than writing preprocessor tests in getcompiler.c.)
msg303795 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-10-06 04:15
New changeset 7faf7e50757dde2cb8583ee08ef31f4b8312e44f by Benjamin Peterson in branch 'master':
closes bpo-31696: don't mention GCC in sys.version when building with clang (#3891)
https://github.com/python/cpython/commit/7faf7e50757dde2cb8583ee08ef31f4b8312e44f
History
Date User Action Args
2017-10-06 04:15:16benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg303795

stage: patch review -> resolved
2017-10-05 06:41:52benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3865
2017-10-04 20:56:25benjamin.petersoncreate